import { ElementRef, RendererFactory2 } from '@angular/core';
import { SkyAppWindowRef } from '@skyux/core';
import * as i0 from "@angular/core";
/**
 * @internal
 */
export declare class SkyFlyoutAdapterService {
    #private;
    constructor(rendererFactory: RendererFactory2, windowRef: SkyAppWindowRef);
    adjustHeaderForHelp(header: ElementRef): void;
    toggleIframePointerEvents(enable: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SkyFlyoutAdapterService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SkyFlyoutAdapterService>;
}
