import { EventEmitter, OnDestroy } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * @internal
 */
export declare class SkyFlyoutIteratorComponent implements OnDestroy {
    #private;
    nextButtonDisabled: boolean | undefined;
    previousButtonDisabled: boolean | undefined;
    get previousButtonClick(): EventEmitter<void>;
    get nextButtonClick(): EventEmitter<void>;
    ngOnDestroy(): void;
    onIteratorPreviousClick(): void;
    onIteratorNextClick(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SkyFlyoutIteratorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SkyFlyoutIteratorComponent, "sky-flyout-iterator", never, { "nextButtonDisabled": { "alias": "nextButtonDisabled"; "required": false; }; "previousButtonDisabled": { "alias": "previousButtonDisabled"; "required": false; }; }, { "previousButtonClick": "previousButtonClick"; "nextButtonClick": "nextButtonClick"; }, never, never, true, never>;
}
