import { ComponentHarness } from '@angular/cdk/testing';
/**
 * Harness for interacting with a flyout iterator component in tests.
 * @internal
 */
export declare class SkyFlyoutIteratorHarness extends ComponentHarness {
    #private;
    /**
     * @internal
     */
    static hostSelector: string;
    /**
     * Clicks the next button.
     */
    clickNextButton(): Promise<void>;
    /**
     * Clicks the previous button.
     */
    clickPreviousButton(): Promise<void>;
}
